#include "scif.h"
#include "audio.h"
#include "disk.h"
#include "proto.h"

/*************************************************************************/
/**---------------------------------------------------------------------**/
/**                         MAIN entry POINT                            **/
/**---------------------------------------------------------------------**/
/*************************************************************************/

/* Dummy stub to make libgcc happy... */
//void atexit() { }

/*
 * Simple demo program.
 *
 */


int main()
{
	unsigned int i,lt;
	unsigned char buf[8];
	
	lcd_init();
	
	for(;;) {
		DAC_init();
		for(;;) {
			lt=cd_start();
			cd_seek(lt*2048+16*2048);
			cd_getchar();
			/* Esperamos cadena "CD001" */
			for (i=0;i<5;i++) buf[i]=cd_getchar();
			if (buf[0]!='C' || buf[1]!='D' || buf[2]!='0' ||
			    buf[3]!='0' || buf[4]!='1') {
				lcd_puts(1,"NO ISO9660");
				continue;
			} else break;
		}
		cd_seek(lt*2048+16*2048+156+2);	/* ROOT directory location (LBA)*/
		i=cd_get32();

		dir_navigate(i<<11);	/* Ya estamos en el directorio raiz */
	}
}

